Subject: bug#13665: closed (Re: bug#13665: Question about the translation of double_to_human)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Feb 2013 19:28:02 +0000

Your bug report

#13665: Question about the translation of double_to_human

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13665: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13665
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13665: Question about the translation of double_to_human
From: Pádraig Brady <[email-masked]>
To: Göran Uddeborg <[email-masked]>
Cc: Assaf Gordon <[email-masked]>, [email-masked]
Date: Sat, 09 Feb 2013 19:26:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/09/2013 06:42 PM, Göran Uddeborg wrote:
> I started the translation of coreutils 8.20-pre2 which just arrived
> via the Translation Project.  I got a bit uncertain about messages
> like:
>
>      msgid ""
>      "simple_strtod_human:\n"
>      "  input string: '%s'\n"
>      "  locale decimal-point: '%s'\n"
>
> and
>
>      msgid "double_to_human:\n"
>
> Is "simple_strtod_human" a name, or is it a string to be translated?

These are function names and not to be translated.
These are "developer debug" strings, which I'm tempted to remove entirely.
What do you think Assaf?

> The announcement via the mailing list includede a reference to
>
>      http://meyering.net/cu/coreutils-8.19.166-3131c.tar.xz

The correct source for the latest translation is:
http://pixelbeat.org/cu/coreutils-8.20.113-1f1f4.tar.xz

That was included as part of:
http://lists.gnu.org/archive/html/coreutils/2013-02/msg00020.html
which was also sent to [email-masked]

thanks,
Pádraig.

Subject: Question about the translation of double_to_human
From: Göran Uddeborg <[email-masked]>
To: [email-masked]
Date: Sat, 9 Feb 2013 19:42:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I started the translation of coreutils 8.20-pre2 which just arrived
via the Translation Project.  I got a bit uncertain about messages
like:

    msgid ""
    "simple_strtod_human:\n"
    "  input string: '%s'\n"
    "  locale decimal-point: '%s'\n"

and

    msgid "double_to_human:\n"

Is "simple_strtod_human" a name, or is it a string to be translated?

The announcement via the mailing list includede a reference to

    http://meyering.net/cu/coreutils-8.19.166-3131c.tar.xz

but unfortunately, it does not seem to match perfectly.  In
particular, these strings are not included.  Nor is the file they were
supposed to come from, src/numfmt.c.